export interface IModListParams {
    name?: string;
    desc?: string;
    mods?: string[];
    settingsFile?: string;
}
export declare class ModList {
    id?: string;
    name?: string;
    desc?: string;
    mods: string[];
    settingsFile?: string;
    get modFileNames(): string[];
    get factorioModListFormat(): {
        mods: {
            name: string;
            enabled: boolean;
        }[];
    };
    writeModListFile(filepath: string): Promise<void>;
    constructor(params: IModListParams);
}
